<template>
  <div id="paymentList">
    <search-box-new
      ref="searchBox"
      :formData="formData"
      :formList="formList"
      @search="search"
      @init="init"
    />
    <table-list
      rowKey="id"
      ref="tableList"
      :tableSets="tableSet"
      :tableData="tableData"
      :navText="navText"
      :loading="loading"
    >
      <template slot="customize">
        <el-button size="medium" @click="batch" type="warning"
          >批量支付</el-button
        > </template
      ><template slot="btn" slot-scope="props">
        <el-button type="text" @click="editClick(props.scope.row)"
          >支付</el-button
        >
      </template>
    </table-list>
    <pagination
      :total="total"
      :pageSize="formData.pageSize"
      :currentPage="formData.pageNum"
      @handleSizeChange="handleSizeChange"
      @handleCurrentChange="handleCurrentChange"
    />
  </div>
</template>

<script>
import searchBoxNew from "@/components/searchBoxNew";
import tableList from "@/components/tableList";
import pagination from "@/components/pagination";
export default {
  name: "PaymentList",
  components: { searchBoxNew, tableList, pagination },
  data() {
    return {
      disabledBtn: false,
      loading: false, //当前表单加载是否加载动画
      navText: {
        title: "提现支付列表",
        index: 0,
        ch: "条",
        num: true,
        choice: true,
        addHide: true,
        openCheckMore: true,
        changeWidth: "100px",
        backFatherBtn: {
          status: false,
          title: "配置下单填选模板",
        },
      },
      //搜索
      formList: [
        {
          prop1: "classStartTime",
          prop2: "classEndTime",
          placeholder1: "开始时间",
          placeholder2: "结束时间",
          scope: "moreDataPicker",
        },
        {
          lable: "提现单号",
          prop: "name",
          placeholder: "请输入提现单号",
        },
        {
          lable: "姓名",
          prop: "name",
          placeholder: "请输入姓名",
        },
        {
          prop: "status1",
          placeholder: "状态",
          scope: "select",
          noClear: false,
          options: [
            { label: "待处理", value: 2 },
            { label: "已处理", value: 1 },
            { label: "全部", value: 0 },
          ],
        },
      ],
      formData: {
        status: "0,1",
        pageSize: 10,
        pageNum: 1,
      },
      // 表单
      tableSet: [
        {
          label: "排序",
          prop: "sort",
          hidden: true,
        },
        {
          label: "名称",
          prop: "name",
          hidden: true,
        },
        {
          label: "佣金总额",
          prop: "name",
          hidden: true,
        },
        {
          label: "时间",
          prop: "name",
          hidden: true,
        },
        {
          label: "所属活动",
          prop: "name",
          hidden: true,
        },
      ],
      tableData: [], //表单数据
      total: 0, //一共多少条
    };
  },
  created() {
    this.search();
  },
  methods: {
    batch() {
      if (!this.$refs.tableList.allCheckData.length) {
        this.$message.warning("请勾选需要批量支付的数量");
        return;
      }
    },
    editClick(e) {
      console.log("支付", e);
    },
    search(v) {
      this.loading = true;
      if (v === 2) {
        this.formData = {
          status: "0,1",
          pageSize: 10,
          pageNum: 1,
        };
      }
      var data = JSON.parse(JSON.stringify(this.formData));
      if (this.formData.classStartTime) {
        data.classStartTime = parseInt(data.classStartTime / 1000);
      }
      if (this.formData.classEndTime) {
        data.classEndTime = parseInt(data.classEndTime / 1000);
      }
      this.$api
        .inquirebusinessList(data)
        .then((res) => {
          this.tableData = res.rows;
          this.total = res.total;
          this.navText.index = res.total;
        })
        .finally(() => {
          this.loading = false;
        });
    },
    init() {
      this.search(2);
    },
    del(v) {
      this.$alert(
        "确定删除此内容？<br />内容删除后将无法恢复，请慎重考虑",
        "提示",
        {
          dangerouslyUseHTMLString: true,
        }
      )
        .then(() => {
          this.$message.success("删除成功");
          this.search();
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "已取消删除",
          });
        });
    },

    handleSizeChange(v) {
      this.formData.pageSize = v;
      this.formData.pageNum = 1;
      this.search();
    },
    handleCurrentChange(v) {
      this.formData.pageNum = v;
      this.search();
    },
  },
};
</script>

<style lang="scss" scoped>
/deep/.el-button {
  border-radius: 8px;
}
/deep/.el-dialog {
  border-radius: 8px;
  .el-dialog__header {
    padding: 0;
    .hearders {
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0px 18px 0px 20px;
      border-bottom: 1px solid #e2e2e2;
      .leftTitle {
        font-size: 14px;
        font-weight: bold;
        color: #2f4378;
      }
      .rightBoxs {
        display: flex;
        align-items: center;
        img {
          width: 14px;
          height: 14px;
          margin-left: 13px;
          cursor: pointer;
        }
      }
    }
  }
  .el-dialog__footer {
    padding: 0;
    .dialog-footer {
      padding: 0px 40px;
      height: 70px;
      border-top: 1px solid #e2e2e2;
      display: flex;
      align-items: center;
      justify-content: flex-end;
    }
  }
}
.imgBox {
  width: 100%;
  // height: 210px;
  border: 1px solid #e2e2e2;
  border-radius: 8px;
  padding: 8px 8px 3px;
  display: flex;
  flex-direction: column;
  align-items: center;
  .imgLabel {
    flex: 1;
    width: 100%;
    border: 1px dotted #e2e2e2;
    color: #999;
    font-size: 14px;
    cursor: pointer;
    border-radius: 8px;
    .msPhoto {
      display: flex;
      justify-content: center;
      align-items: center;
      max-width: 100%;
      max-height: 270px;
      img {
        max-width: 100%;
        max-height: 270px;
      }
    }
    .imgbbx {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 100%;
      i {
        font-weight: bold;
        margin: 14px 0;
        font-size: 24px;
      }
    }
  }
  p {
    margin: 5px 0px;
  }
}
.numInputs {
  width: 150px;
}
</style>
